Subject: bug#35536: 27.0.50; Expose buffer's marker list to Elisp

From: Stefan Monnier <[email-masked]>
Date: Fri, 03 May 2019 13:39:15 -0400

>> What's _not_ available to users or Lisp code, I
>> think, is the order of marker creation or even the
>> order of last setting.

There's no reason for the C code to keep track of those things either.
So while the current implementation may happen to have the markers in
"creation order", it would be wrong to provide a primitive that promises
this ordering unless there's a *good* reason why we'd want to force
future Emacsen to also keep track of this info.  So far I don't see any
such reason.

        Stefan